# Welcome to the Reality Stack Unity Dollar Family Recognizers

This package provides a Unity implementation of the $1 and $Q Recognizers, widely used for efficient gesture recognition. The $-family of recognizers is licensed under the New BSD License.

The official website can be found here: [$-Family Recognizers](https://depts.washington.edu/acelab/proj/dollar/).

# Use Cases

The recognizers support fast and reliable gesture recognition in various XR applications, such as system control and swipe-based text input.

For working with 3D data, consider using the PlaneFitting script from [MathUtilities](https://github.com/zalo/MathUtilities) to fit a plane to arbitrary 3D points. Create a [Unity Plane](https://docs.unity3d.com/6000.0/Documentation/ScriptReference/Plane.html) to project 3D points into 2D space. The resulting 2D gesture data can then be processed with a $-Recognizer.

# Contact

If you have any questions, feel free to contact us at [realitystack@uni-wuerzburg.de](mailto:realitystack@uni-wuerzburg.de) or visit the [Reality Stack Info](https://gitlab2.informatik.uni-wuerzburg.de/hci-development/realitystack/realitystack-info) website.

University of Wuerzburg<br>
Chair for Human-Computer Interaction<br>
Prof. Dr. Marc Erich Latoschik<br>
[https://hci.uni-wuerzburg.de/](https://hci.uni-wuerzburg.de/)

University of Wuerzburg<br>
Group of Psychologie Intelligenter Interaktiver Systeme<br>
Prof. Dr. Carolin Wienrich<br>
[https://www.mcm.uni-wuerzburg.de/piis/](https://www.mcm.uni-wuerzburg.de/piis/)